hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Akira Ajisaka (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (HIVE-16302) Add junit dependency to hive-shims-common to compile with Hadoop 2.8+
Date Mon, 27 Mar 2017 03:47:41 GMT

    [ https://issues.apache.org/jira/browse/HIVE-16302?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15942591#comment-15942591
] 

Akira Ajisaka commented on HIVE-16302:
--------------------------------------

This issue occurs because junit dependency is missing. Hadoop 2.7 has a transitive dependency
for junit via commons-httpclient and the commons-httpclient dependency was removed by HADOOP-12552.
I'll create a patch to add the junit dependency explicitly.

> Add junit dependency to hive-shims-common to compile with Hadoop 2.8+
> ---------------------------------------------------------------------
>
>                 Key: HIVE-16302
>                 URL: https://issues.apache.org/jira/browse/HIVE-16302
>             Project: Hive
>          Issue Type: Bug
>            Reporter: Akira Ajisaka
>            Assignee: Akira Ajisaka
>
> Compile error when setting hadoop.version to 2.9.0-SNAPSHOT:
> {noformat}
> [ERROR] Failed to execute goal org.apache.maven.plugins:maven-compiler-plugin:3.6.1:testCompile
(default-testCompile) on project hive-shims-common: Compilation failure: Compilation failure:
> [ERROR] /Users/ajisaka/git/hive/shims/common/src/main/test/org/apache/hadoop/hive/io/TestHdfsUtils.java:[34,17]
package org.junit does not exist
> [ERROR] /Users/ajisaka/git/hive/shims/common/src/main/test/org/apache/hadoop/hive/io/TestHdfsUtils.java
> {noformat}



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message